Bug 171296 - /dev/mapper/Vol.... nodes not created for vol-group on inserted USB disk
/dev/mapper/Vol.... nodes not created for vol-group on inserted USB disk
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 10:54 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-19 13:53:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-10-20 10:54:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
I have a USB disk that I use to backup my hardrive. One partition is setup as an LVM volume group.

If the USB drive is inserted prior to boot, the appropriate entries in /dev/mapper are created.

If the USB drive is inserted after the system is up and running, mount points in /dev/mapper are NOT created. 

Running 'pvscan':
[root@tlondon ~]# pvscan
  PV /dev/sda3   VG VolGroup01   lvm2 [40.25 GB / 0    free]
  PV /dev/hda3   VG VolGroup00   lvm2 [21.59 GB / 32.00 MB free]
  Total: 2 [61.84 GB] / in use: 2 [61.84 GB] / in no VG: 0 [0   ]
[root@tlondon ~]#
but no mount points are created for VolGroup01.

Running 'vgscan --mknodes':
[root@tlondon ~]# vgscan --mknodes
  Reading all physical volumes.  This may take a while...
  Found volume group "VolGroup01" using metadata type lvm2
  Found volume group "VolGroup00" using metadata type lvm2
[root@tlondon ~]#
but no mount points are created for VolGroup01.

'system-config-lvm' seems to 'see' VolGroup01, but again, no mount points created (even after 'refresh'). 

Shouldn't this work?

Version-Release number of selected component (if applicable):
lvm2-2.01.14-3

How reproducible:
Always

Steps to Reproduce:
1. Insert USB drive with LVM2 volume group
2. 'ls -l /dev/mapper'
3.
  

Additional info:
Comment 1 Tom London 2005-11-18 10:34:05 EST
This is still not working with current rawhide:
lvm2-2.01.14-4, kernel-2.6.14-1.1688_FC5, udev-075-2, ...

Which program should be creating the device files?

Is there a workaround?
Comment 2 Tom London 2005-11-24 14:34:07 EST
'vgchange -a y' creates the mount points:

[root@tlondon ~]# lvscan -v -d
    Finding all logical volumes
  inactive          '/dev/VolGroup01/LogVol00' [39.00 GB] inherit
  inactive          '/dev/VolGroup01/LogVol01' [1.25 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol00' [20.56 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol01' [1.00 GB] inherit
[root@tlondon ~]# ls /dev/mapper
control  VolGroup00-LogVol00  VolGroup00-LogVol01
[root@tlondon ~]# vgchange -v -a y VolGroup01
    Using volume group(s) on command line
    Finding volume group "VolGroup01"
    Found volume group "VolGroup01"
    Loading VolGroup01-LogVol00
    Found volume group "VolGroup01"
    Loading VolGroup01-LogVol01
    Activated logical volumes in volume group "VolGroup01"
  2 logical volume(s) in volume group "VolGroup01" now active
[root@tlondon ~]# ls /dev/mapper
control              VolGroup00-LogVol01  VolGroup01-LogVol01
VolGroup00-LogVol00  VolGroup01-LogVol00
[root@tlondon ~]#

So, should inserting the drive 'activate' the volume group as happens if the
drive is connected during boot?

If not, close this as 'NOTABUG' (and chalk this up to my misunderstanding of how
lvm is supposed to work.)

Note You need to log in before you can comment on or make changes to this bug.